#!/usr/bin/env python

import libxml2dom, xml.dom.minidom

document = libxml2dom.createDocument(None, "doc", None)
top = document.xpath("*")[0]
elem1 = document.createElementNS("DAV:", "href")
document.replaceChild(elem1, top)
elem2 = document.createElementNS(None, "no_ns")
document.xpath("*")[0].appendChild(elem2)
print document.toString()
document.toFile(open("test_ns.xml", "wb"))

document = libxml2dom.parse("test_ns.xml")
print "Namespace is", repr(document.xpath("*")[0].namespaceURI)

document = xml.dom.minidom.Document()
elem1 = document.createElementNS("DAV:", "href")
document.appendChild(elem1)
elem2 = document.createElementNS(None, "no_ns")
document.childNodes[0].appendChild(elem2)
print document.toxml()
open("test_ns.xml", "wb").write(document.toxml())

document = xml.dom.minidom.parse("test_ns.xml")
print "Namespace is", repr(document.documentElement.namespaceURI)

try:
    from xml.dom.ext import PrettyPrint
    PrettyPrint(document)
    PrettyPrint(document, stream=open("test_ns.xml", "wb"))

    document = xml.dom.minidom.parse("test_ns.xml")
    print "Namespace is", repr(document.documentElement.namespaceURI)

except ImportError:
    print "Prettyprinted document not produced."

# vim: tabstop=4 expandtab shiftwidth=4
